> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Thermostat Schedule

> Deletes a [thermostat schedule](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-thermostat-schedules) for a specified [thermostat](https://docs.seam.co/capability-guides/thermostats).



## OpenAPI

````yaml /openapi.json post /thermostats/schedules/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/schedules/delete:
    post:
      tags:
        - /thermostats
      summary: Delete a Thermostat Schedule
      description: >-
        Deletes a [thermostat
        schedule](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-thermostat-schedules)
        for a specified
        [thermostat](https://docs.seam.co/capability-guides/thermostats).
      operationId: thermostatsSchedulesDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                thermostat_schedule_id:
                  description: ID of the thermostat schedule that you want to delete.
                  format: uuid
                  type: string
              required:
                - thermostat_schedule_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.schedules.delete({
              thermostat_schedule_id: "0d42131f-ceb2-4fdf-b44e-3cc1143f98de",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/schedules/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "thermostat_schedule_id": "0d42131f-ceb2-4fdf-b44e-3cc1143f98de"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.schedules.delete(
                thermostat_schedule_id="0d42131f-ceb2-4fdf-b44e-3cc1143f98de"
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.thermostats.schedules.delete(thermostat_schedule_id:
            "0d42131f-ceb2-4fdf-b44e-3cc1143f98de")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->schedules->delete(
                thermostat_schedule_id: "0d42131f-ceb2-4fdf-b44e-3cc1143f98de",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats schedules delete --thermostat_schedule_id
            "0d42131f-ceb2-4fdf-b44e-3cc1143f98de"


            # {}
components:
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````